FEENABLEEXCEPT(3)

NAME
feenableexcept, fedisableexcept, fegetexcept - control floating-point exception masks

SYNOPSIS
libm
#include <fenv.h>
int
feenableexcept(int excepts);
int
fedisableexcept(int excepts);
int
fegetexcept(void);

DESCRIPTION
These functions provide control of the floating-point exception masks. The excepts input argument is a bitmask specifying an exception type and containing any of the values listed in feclearexcept(3).

The feenableexcept() function unmasks the floating-point exceptions represented by excepts. The future floating-point operations that produce excepts will trap, and a SIGFPE will be delivered to the process.

The fedisableexcept() function masks the floating-point exceptions represented by excepts. All exceptions are masked by default.

The fegetexcept() function returns the current exception mask.

RETURN VALUES
The feenableexcept(), and fedisableexcept() functions return the previous exception mask. The fegetexcept() function returns the current exception mask.

SEE ALSO
sigaction(2), feclearexcept(3), fegetenv(3), fegetround(3)

STANDARDS
The feenableexcept(), fedisableexcept(), and fegetexcept() functions are OpenBSD extensions.

HISTORY
These functions first appeared in OpenBSD 5.0.